org.gradle.nativeplatform

## Interface NativeExecutableBinarySpec

- All Superinterfaces:
    ApplicationBinarySpec, BinarySpec, Buildable, BuildableModelElement, Named, NativeBinarySpec

      @Incubating
      public interface NativeExecutableBinarySpec
      extends NativeBinarySpec, ApplicationBinarySpec

  An binary built by Gradle for a native application.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `NativeExecutableBinarySpec.TasksCollection` Provides access to key tasks used for building the binary.

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NativeExecutableSpec` | `getApplication()` The application that this binary belongs to.
    `NativeExecutableSpec` | `getComponent()` The component that this binary was built from.
    `File` | `getExecutableFile()` The executable file.
    `NativeExecutableBinarySpec.TasksCollection` | `getTasks()` The set of tasks associated with this binary.
    `void` | `setExecutableFile(File executableFile)` The executable file.

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeBinarySpec

      `getBuildType, getFlavor, getLibs, getLinker, getStaticLibArchiver, getTargetPlatform, getToolChain, lib`

    - ### Methods inherited from interface org.gradle.platform.base.BinarySpec

      `getDisplayName, getInputs, getSource, getSources, isBuildable, sources, tasks`

    - ### Methods inherited from interface org.gradle.api.BuildableModelElement

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getApplication

          NativeExecutableSpec getApplication()

      The application that this binary belongs to.
      Specified by:
        `getApplication` in interface `ApplicationBinarySpec`

    - #### getComponent

          NativeExecutableSpec getComponent()

      The component that this binary was built from.
      Specified by:
        `getComponent` in interface `NativeBinarySpec`

    - #### getExecutableFile

          File getExecutableFile()

      The executable file.

    - #### setExecutableFile

          void setExecutableFile(File executableFile)

      The executable file.

    - #### getTasks

          NativeExecutableBinarySpec.TasksCollection getTasks()

      The set of tasks associated with this binary.
      Specified by:
        `getTasks` in interface `BinarySpec`